#!/bin/bash

counter=1;

function testcount()
{
  echo -n "$counter."
  if(( $counter < 10 )); 
  then
    echo -n " "; 
  fi;
  (( counter=$counter+1 ))
}

#########################
# function test
#
# run argument given and put output
# in a .new file, then compare the .new and .out
# if diff gives back results -> test failed!
function test()
{
  testcount
    
  echo -n " testing : $1.m  ->  ";
  ./$1.m  > $1.new 2>&1 #also the errors to this file

  local ok;
  ok=`diff $1.out $1.new`;
  
  if [[ $ok  == "" ]] ;
  then
    echo "ok";
    rm -f $1.new;
  else
    echo "TEST FAILED!!!";
  fi;
}


#########################
# main
#

export FUNCDIR=../functions/
export MODULES=../modules/
export CONSTANTSDIR=../../../Libraries/MpIeee/constants/
export LD_LIBRARY_PATH=../gsl

rm -f *.new

test "abstest"
test "assigns"
test "casetest"
test "complextest"
test "intervaltest"
test "ellips"
test "forloops"
test "functions"
test "ifs"
test "modetest"
test "output"
test "helptest"
test "matrices"
test "testcolumnmajor"
test "colontest"
test "mult_assign"
test "celltest"
test "sizetest"
test "catastrophic"
test "elementary"
test "linetest"
test "testsin"
test "matrixlexing"
test "powtest"
test "pascaltest"
test "cleve_moler"
test "gototest"
test "while"
test "noreturnfunctest"

#test "test_adiff"
